Sun Jul 04 18:57:33 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

	* CIAO version 0.8 released.

Fri Jul  2 08:58:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Policies/policies.mpc:
          Resolved static link erros on Linux

Fri Jul  2 08:40:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm.mpb:
          Reverted last changes; too heavy.

Fri Jul  2 08:29:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm.mpb:
          Added missing base project. This resolves static linker errors
          on Linux.

Fri Jul  2 06:51:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/Config_Handlers.mpc:
          Add missing Common.h

Fri Jul  2 03:41:14 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/docs/OMG-DnC-Tutorial.ppt:
        * DAnCE/docs/sources/dance-deployment.odg:

          Updates for LocalityManager.

Fri Jul  2 03:38:45 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/docs/sources/LocalityManager.graffle:

          Diagram updates.

Thu Jul  1 21:22:31 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/docs/sources/LocalityManager.graffle:

          LocalityManager graphics.

Thu Jul  1 10:50:47 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Warnings.

Thu Jul  1 10:44:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Replaced incorrect error messages.

Thu Jul  1 10:32:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/Parsing/run_test.pl:
          Print a message when a test succeeded

        * DAnCE/tests/Parsing/test.cpp:
          Explicitly catch Config_Error, that exception is now passed through
          to this test. Also initialize the DAnCE Logger so that we can get
          more output during manual testing

Thu Jul  1 09:02:28 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
          Resolved linker errors on windows when full_ccm is on

Thu Jul  1 08:57:21 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst:
        Add AMI4CCM tutorial to list.

Thu Jul  1 08:37:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO.mwc:
          Added tutorials directory

Thu Jul  1 07:01:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
          Slower rate.

Wed Jun 30 21:38:41 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Interceptors/Best_Effort.cpp:
        * DAnCE/LocalityManager/Interceptors/Standard_Error.cpp:
        * ciao/Deployment/Interceptors/Deployment_Interceptors.cpp:

          Better detection of bad any values passed in.

        * DAnCE/LocalityManager/Scheduler/Events/Action_Base.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Install.cpp:
        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:

          Earlier allocation of anys to ensure their state is valid
          in the event of early exit due to exceptional conditions.

Wed Jun 30 20:34:42 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.cpp:

          Fix for crash on shutdown for windows.

Wed Jun 30 16:05:10 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Fixed a bug where connections weren't properly collated.

Wed Jun 30 15:02:07 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:

          In the case where there is no DDS implementation available,
          install the IDL files so they can be included by some tests.

Wed Jun 30 14:47:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.mpc:
          Renamed Shapes_msg.idl to Shapes_ShapeType_msg.idl

Wed Jun 30 14:38:33 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Deployment/Interceptors/Deployment_Interceptors.cpp:

          Fixed potential crash when a nonexistant instance reference is
          provided.

Wed Jun 30 13:33:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Fixed crash when no properties are passed

        * tests/Bug_3832_Regression/run_test.pl:
          Fixed this test script

Wed Jun 30 13:01:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.mpc:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc:
          Fixed msvc71 link errors

Wed Jun 30 12:08:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/OMG-CCM-Tutorial.pptx:
          Updates regarding the DDS4CCM connector. Since the Hello example
          was old, I've re-constructed these sheets using the current status.

Wed Jun 30 11:35:20 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * tutorials/Quoter/Simple/Broker/StockBrokerDriver.cpp:
          Warning.

Wed Jun 30 10:35:10 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial/01_general.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/05_compilation.html
         Changes after review.

Wed Jun 30 09:20:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Cosmetic logging change.

        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.h:
          Fixed incorrect Compare functor for server registry set.

Wed Jun 30 06:04:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/01_general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/02_idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/04_dds4ccm.html:
          Changes after review.

Tue Jun 29 17:54:23 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.h:
        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.cpp:
        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:

          Fix for a segmentation fault that would occur when plans
          with similar UUIDs were deployed/torn down in sequence.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Temperorarily disable thread pool in the NodeApplication.  This
          is expected to be re-enabled in the next release.

Tue Jun 29 14:49:04 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:

          Moved the plugin manager cleanup to the node manager.

Tue Jun 29 14:37:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/OMG-CCM-Tutorial.pptx:
          Changes regarding DDS4CCM connector.

Tue Jun 29 14:35:04 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/docs/TestCoverage.odt
        New doc, describing AMI4CCM tests.

Tue Jun 29 14:29:36 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * DAnCE/MPC/config/dance_split_plan.mpb:

          Removed a redundant "includes" that used an incorrect
          syntax for environment variables: it used $FOO instead of $(FOO).

Tue Jun 29 14:13:45 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * ciao/Base/CIAO_Base.mpc:

          Corrected the name of the export header.

Tue Jun 29 13:12:42 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated

Tue Jun 29 13:09:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeManager-NodeApplicationManager/NodeManager-NodeApplicationManager.mpc:
          Fixed nmake warning

        * connectors/dds4ccm/impl/Publisher_T.cpp:
        * connectors/dds4ccm/impl/Subscriber_T.cpp:
          Cleanup code

Tue Jun 29 12:42:04 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial/01_general.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html
        Changes text and layout

Tue Jun 29 12:29:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/Deployments/run_test.pl:
          Using the -q option on the plan launcher

Tue Jun 29 12:06:24 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
          Added -q (quiet) option. This will suppress error messages.

        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
          Using the -q option on the plan launcher

Tue Jun 29 11:30:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/MPC/config/dance_artifact_installation.mpb:
        * DAnCE/MPC/config/dance_completion_counter.mpb:
        * DAnCE/MPC/config/dance_config_handlers_base.mpb:
        * DAnCE/MPC/config/dance_convert_plan.mpb:
        * DAnCE/MPC/config/dance_deployment_scheduler.mpb:
        * DAnCE/MPC/config/dance_installation_handlers.mpb:
        * DAnCE/MPC/config/dance_installation_repository_manager.mpb:
        * DAnCE/MPC/config/dance_locality_handler.mpb:
        * DAnCE/MPC/config/dance_locality_manager.mpb:
        * DAnCE/MPC/config/dance_logger.mpb:
        * DAnCE/MPC/config/dance_plan_launcher.mpb:
        * DAnCE/MPC/config/dance_skel.mpb:
        * DAnCE/MPC/config/dance_split_plan.mpb:
        * DAnCE/MPC/config/dance_stub.mpb:
        * DAnCE/MPC/config/dance_tools.mpb:
        * MPC/config/ciao_deployment_handlers.mpb:
        * MPC/config/ciao_logger.mpb:
        * MPC/config/ciao_servant.mpb:
        * MPC/config/ciaoexe.mpb:
        * MPC/config/dds4ccm.mpb:
        * MPC/config/dds4ccm_ts_default.mpb:
          Added missing
          // -*- MPC -*-

Tue Jun 29 11:09:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/01_general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/06_compilation.html:
          Minor changes.

Tue Jun 29 10:57:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Fixed incorrect fix.

Tue Jun 29 08:50:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * NEWS:
          Updated.

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Corrected best effort interceptor installations.

Tue Jun 29 08:50:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
          Reverted last changes.

Tue Jun 29 08:40:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:

        * tutorials/Quoter/Simple/Broker/StockBrokerDriver.cpp:
          Code layout. Catch InvalidStock exception.

        * tutorials/Quoter/Simple/Distributor/StockDistributorDriver.cpp:
          Code layout.

Tue Jun 29 08:37:04 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        Cleanup code.

Mon Jun 28 23:55:35 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_Properties.idl:

          Additional documentation, and added a temporary property to trigger
          best effort deployment.

        * DAnCE/DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE/DAnCE_Utility.cpp:

          New specialization for extracting boolean values from property
          sequences.

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:

          Added code to optionally enable best effort deployment semantics,
          controlled by --best-effort to the NodeManager at startup.

        * NEWS:

          Updates.

Mon Jun 28 19:53:55 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:

          Moved plugin/interceptor registration into the NodeManager, so it is
          only done once.

Mon Jun 28 13:43:34 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/05_compilation.html
        Layout changes.

Mon Jun 28 13:32:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm.mpb:
        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Connector/Large_Connector.idl:
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl:
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/idl/dds4ccm_Connector.idl:
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.idl:
        * connectors/dds4ccm/performance-tests/Latency/Connector/LatencyTT_Test_Connector.idl:
        * connectors/dds4ccm/performance-tests/Throughput/Connector/Throughput_Connector.idl:
        * connectors/dds4ccm/performance-tests/Throughput/SecConnector/Throughput_Sec_Connector.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl:
        * connectors/dds4ccm/tests/CoherentUpdater/Connector/CoherentUpdate_Test_Connector.idl:
        * connectors/dds4ccm/tests/CoherentWriter/Connector/CoherentWrite_Test_Connector.idl:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir_Connector.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Connector/CFT_Test_Connector.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Connector/CFTLE_Test_Connector.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Connector/Exception_Test_Connector.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Connector/ReadGet_Test_Connector.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Connector/CFTLS_Test_Connector.idl:
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.idl:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/DoubleNestedModule/Connector/DNM_Connector.idl:
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.idl:
        * connectors/dds4ccm/tests/GetComponent/Event/Connector/GCE_Test_Connector.idl:
        * connectors/dds4ccm/tests/GetComponent/State/Connector/GCS_Test_Connector.idl:
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl:
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.idl:
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl:
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.idl:
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.idl:
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.idl:
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule_Connector.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/ReceiverConnector/OIT_Receiver_Connector.idl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SenderConnector/OIT_Sender_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.idl:
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.idl:
        * connectors/dds4ccm/tests/PortUsage/EventConnector/PortUsageEvent_Connector.idl:
        * connectors/dds4ccm/tests/PortUsage/StateConnector/PortUsageState_Connector.idl:
        * connectors/dds4ccm/tests/QosProfile/Connector/QosProfile_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QCLE_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QCLS_Test_Connector.idl:
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.idl:
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.idl:
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.idl:
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector.idl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.idl:
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.idl:
        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.idl:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.idl:
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.idl:
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.idl:
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.idl:
        * connectors/dds4ccm/tests/UserdataCopyCount/Connector/UCC_Test_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Union/VT_Union_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Valuetype/VT_Valuetype_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Union/VTS_Union_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Valuetype/VTS_Valuetype_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
          ccm_dds.idl has become a system file.

Mon Jun 28 13:34:05 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Artifact_Installation/Artifact_Installation_exec.cpp:

          Fix for wchar compile error.

Mon Jun 28 13:31:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/MPC/config/dance_split_plan.mpb:
          Fix for static link problems.

Mon Jun 28 13:28:09 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager.mpc:
        * DAnCE/MPC/config/dance_locality_manager.mpb:
        * DAnCE/MPC/config/dance_stub.mpb:

          Fix for static link problems.

Mon Jun 28 13:24:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/MPC/config/dance_installation_handlers.mpb:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation.mpc:
          Fix for static link errors related to INet lib.

Mon Jun 28 13:10:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.pptx:
          Several small extensions and improvements

Mon Jun 28 13:15:46 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Base/CIAO_Base.mpc:

          Re-add tabs to the verbatim section to fix install target.

Mon Jun 28 13:08:23 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Events/Action_Base.cpp:

          Fixed a bug which would swallow all exceptions from events.

Mon Jun 28 12:59:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.idl:
          Removed Shape_Attributes since we do not use this struct in this tutorial.

Mon Jun 28 12:53:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/02_idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/06_compilation.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.cpp:
          Renamed ShapesCOnnector to ShapeType_conn

Mon Jun 28 12:13:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:

        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/DataListenerControl_T.cpp:
        * connectors/dds4ccm/impl/StateListenerControl_T.h:
        * connectors/dds4ccm/impl/StateListenerControl_T.cpp:
          Added _get_component method to the listener controllers.

Mon Jun 28 09:44:34 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_MyFoo_obj.mpc
        Add typecode and lib .

Mon Jun 28 09:34:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Event_Connection_Test/Receiver/Event_Connection_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Event_Connection_Test/Receiver/Event_Connection_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Event_Connection_Test/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/State_Connection_Test/descriptors/Plan.cdp:
          Added filter_config to these tests.

        * tutorials/Quoter/Simple/descriptors/run_test.pl:
          Resolved script error.

Mon Jun 28 09:35:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/idl/dds_rtf2_dcps_i_handle.idl:
        * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handle.idl:
          Small changes to let the PSAT connector compile when no dds vendor
          is enabled

Mon Jun 28 09:06:34 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.mpc:
        Wrong lib path.

Mon Jun 28 08:42:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ContentFilterSetting.h:
          Resolved warnings.

Mon Jun 28 08:37:18 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DomainParticipantManager.cpp:
          Resolved minor valgrind issue.

        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
          Optimized script in order to reveal the real errors better.

Mon Jun 28 02:24:44 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE/DAnCE_Utility.tpp:
        * DAnCE/DAnCE/DAnCE_Utility.cpp:
        * DAnCE/LocalityManager/Interceptors/Best_Effort.h:
        * DAnCE/LocalityManager/Interceptors/Best_Effort.cpp:
        * DAnCE/LocalityManager/Interceptors/Error_Interceptors.mpc:

          Added best effort interceptors.

Sat Jun 26 20:46:09 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.cpp:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Connection_Handler.cpp:

          Error reporting improvements.

Sat Jun 26 18:46:01 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_DeploymentInterceptors_Base_Impl.h:

          Layout changes.

        * DAnCE/DAnCE/DAnCE_Utility.cpp:

          Expanded supported exceptions in throw_exception_from_any.

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

          Install standard error interceptor.

        * DAnCE/LocalityManager/Interceptors:
        * DAnCE/LocalityManager/Interceptors/DAnCE_Error_Interceptors_export.h:
        * DAnCE/LocalityManager/Interceptors/Error_Interceptors.mpc:
        * DAnCE/LocalityManager/Interceptors/Standard_Error.h:
        * DAnCE/LocalityManager/Interceptors/Standard_Error.cpp:

          Initial error interceptor drop.

Sat Jun 26 17:48:39 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Interceptors/Deployment_Interceptors.cpp:

          Unicode fixes.

Sat Jun 26 13:34:04 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial/01_general.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/05_compilation.html
        Fuzz

Sat Jun 26 05:34:04 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_DeploymentInterceptors.idl:

          Collapsed all interceptors into a single interface in preparation
          for the best-effort interceptor.

        * DAnCE/DAnCE/DAnCE_Core.mpc:
        * DAnCE/DAnCE/DAnCE_DeploymentInterceptors_Base_Impl.h:
        * DAnCE/DAnCE/DAnCE_DeploymentInterceptors_Base_Impl.cpp:

          Provided a default interceptor implementation with no-op
          methods.  All other interceptors should derive from this.

        * ciao/Deployment/Interceptors/Deployment_Interceptors.h:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.h:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.cpp:

          Updates from the above.

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

          Slight bugfix in the event an endpoint reference is nil.

        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.inl:
        * DAnCE/LocalityManager/Scheduler/Events/Action_Base.h:
        * DAnCE/LocalityManager/Scheduler/Events/Action_Base.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Configured.h:
        * DAnCE/LocalityManager/Scheduler/Events/Configured.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Connect.h:
        * DAnCE/LocalityManager/Scheduler/Events/Connect.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.h:
        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Install.h:
        * DAnCE/LocalityManager/Scheduler/Events/Install.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Passivate.h:
        * DAnCE/LocalityManager/Scheduler/Events/Passivate.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Remove.h:
        * DAnCE/LocalityManager/Scheduler/Events/Remove.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Start.h:
        * DAnCE/LocalityManager/Scheduler/Events/Start.cpp:

          Re-factored the the deployment events to use a common
          implementation specialized using the template method pattern.
          This expands the error handling improvements from
          Thu Jun 24 14:29:10 UTC 2010  Martin Corino  <mcorino@remedy.nl> to
          all deployment events.

Fri Jun 25 14:15:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          If no dds vendor has been enabled, than we have to use typecode
          as base project

Fri Jun 25 14:06:12 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Updated for next release.

Fri Jun 25 13:53:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/artifacts.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.mpc:
          Renamed Shapes_conn.idl to Shapes_ShapeType_conn to indicate which datatype
          the connector provided.

Fri Jun 25 13:46:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.idl:
          Renamed ShapeType to ShapeType_msg to indicate a DDS message.

Fri Jun 25 13:41:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_Control_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/ports/Shapes_Control_obj.mpc:
          Moved the Shapes_Control_obj idl to the ports directory of the Shapes_asm.

Fri Jun 25 13:27:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Extended the release notes for 0.8.0, ACE_FOR_TAO MPC configuration
          is dropped for CIAO

Fri Jun 25 13:02:45 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial
        * connectors/ami4ccm/tutorials/Hello/Tutorial/01_general.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/02_idl.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/05_compilation.html
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors/artifacts.cdp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors/connections.cdp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors/implementation.cdp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors/instance.cdp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/Deployment/descriptors/Plan.cdp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Receiver_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Receiver_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Sender_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Sender_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Receiver_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Receiver_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Sender_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Sender_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Tutorial/images
        * connectors/ami4ccm/tutorials/Hello/Tutorial/images/images.png
        * connectors/ami4ccm/tutorials/Hello/Tutorial/images/system.png
        Tutorial documents and associated code, pictures, cdp.

Fri Jun 25 12:57:12 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DomainParticipantFactory_T.cpp:
          Implemented get_instance + code alignment.

Fri Jun 25 12:54:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/Parsing/run_test.pl:
          Improved this script to give more feedback

Fri Jun 25 12:42:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/DomainParticipantManager.h:
        * connectors/dds4ccm/impl/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Created a singleton DDSDomainParticipant and
          DDSTopic manager. This manager manages the reuse
          of DomainParticipants and Topics.

        * connectors/dds4ccm/impl/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/Publisher_T.h:
        * connectors/dds4ccm/impl/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ReadCondition_T.h:
        * connectors/dds4ccm/impl/Subscriber_T.h:
        * connectors/dds4ccm/impl/TopicDescription_T.h:
        * connectors/dds4ccm/impl/Topic_T.h:
          Removed unnecessary header files.

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Resolved runtime errors.

Fri Jun 25 09:40:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/NDDS_DDS4CCM_CIAO.mwc:
          Updated because of directory renames

Fri Jun 25 09:13:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/PSAT_Connector.idl:
          Use a better name for the instantiated templated module

Fri Jun 25 08:43:11 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
          Use traits for return types

Fri Jun 25 03:02:36 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * tutorials/Quoter/Simple/Model/Quoter.xme:

          Updated artifact location to be consistent with the
          current state of the CIAO tutorial.

Fri Jun 25 01:47:39 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * tutorials/Quoter/Simple/03.html:
        * tutorials/Quoter/Simple/Model/Quoter.xme:
        * tutorials/Quoter/Simple/images/fig10.jpg:
        * tutorials/Quoter/Simple/images/fig11.jpg:
        * tutorials/Quoter/Simple/images/fig12.jpg:
        * tutorials/Quoter/Simple/images/fig2.jpg:
        * tutorials/Quoter/Simple/images/fig3.jpg:
        * tutorials/Quoter/Simple/images/fig4.jpg:
        * tutorials/Quoter/Simple/images/fig5.jpg:
        * tutorials/Quoter/Simple/images/fig6.jpg:
        * tutorials/Quoter/Simple/images/fig6a.jpg:
        * tutorials/Quoter/Simple/images/fig7.jpg:

          Updated CoSMIC portion of StockQuoter tutorial.

        * tutorials/Quoter/Simple/images/fig5a.jpg:

          Removed this file.

Thu Jun 24 19:01:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDSDataReaderListener_T.cpp:
          Removed all code for possible other DDS vendors, integrating more
          vendors should be done using C++ template specialization instead
          of hacking it into the methods for RTI DDS. This is now possible
          because the core library is now a big C++ templated library, for
          each vendor we can define a C++ template specialization

Thu Jun 24 18:57:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Fixed typo in debug messages

        * connectors/dds4ccm/performance-tests/Throughput/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/Plan_sub.cdp:
          Fixed invalid entry points

Tue Jun 24 18:159:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/descriptors/Plan.cdp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_Common_defn.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_Common_defn.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_defn.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_defn.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_MyFoo_obj.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_MyFoo_obj.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_obj.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/ports/Hello_Receiver_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/ports/Hello_Sender_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h
        Changes in dir structure and naming.

Thu Jun 24 18:07:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.mpc:
          Fixed casing after rename from Ports to ports

Thu Jun 24 18:03:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Added base project to fix warnings on linux

Thu Jun 24 17:57:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
          Enabled some more test IDL

Thu Jun 24 15:12:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReader_T.h:
        * connectors/dds4ccm/impl/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/Publisher_T.h:
        * connectors/dds4ccm/impl/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ReadCondition_T.h:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/StateListenerControl_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/Subscriber_T.h:
        * connectors/dds4ccm/impl/TopicDescription_T.h:
        * connectors/dds4ccm/impl/TopicListener_T.h:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/ndds/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/Time_t.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/run_test.pl:
          Consistently added/renamed header guard.

Thu Jun 24 14:29:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * LocalityManager/Handler/LocalityActivator_Impl.cpp:
        * LocalityManager/Handler/LocalityActivator_Impl.h:
          Fixed detection of spawn failures or premature process exits.

        * DAnCE/DAnCE_Utility.cpp:
        * DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE_Utility.tpp:
          Added utility methods for handling exception to/from Any conversion.

        * LocalityManager/Scheduler/Events/Install.cpp:
          Added default exception handling behaviour in case no post_install
          interceptors have been registered.
          Fixed exception reporting and propagation.

        * NodeApplication/NodeApplication_Impl.cpp:
          Added correct exception detection and handling to locality manager
          install handling.

Thu Jun 24 14:04:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Use new way to get access to DDS entity

Thu Jun 24 13:58:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DataWriter.h:
        * connectors/dds4ccm/impl/DataWriter.cpp:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Added new DataWriter class that just stores the pointer to the
          underlying DDS entity

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
          Use the new base which is not templated which is much easier for
          the user

        * connectors/dds4ccm/impl/dds:
          Removed this directory

Thu Jun 24 13:00:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.mpc:
          This test needs anytypecode

Thu Jun 24 12:43:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Changed code to get to the underlying dds entities

Thu Jun 24 12:34:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
          Changed code to get to the underlying dds entities

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender_exec.cpp:
          Const change

Thu Jun 24 12:13:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Resolved compile errors.

Thu Jun 24 11:42:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.cpp:
        * connectors/dds4ccm/impl/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.h:
        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.h:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/DataListenerControl_T.cpp:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/DataReader_T.h:
        * connectors/dds4ccm/impl/DataReader_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Log_Macros.h:
        * connectors/dds4ccm/impl/Log_Macros.cpp:
        * connectors/dds4ccm/impl/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/Publisher_T.h:
        * connectors/dds4ccm/impl/Publisher_T.cpp:
        * connectors/dds4ccm/impl/QueryCondition_T.h:
        * connectors/dds4ccm/impl/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/StateListenerControl_T.h:
        * connectors/dds4ccm/impl/StateListenerControl_T.cpp:
        * connectors/dds4ccm/impl/StatusCondition.h:
        * connectors/dds4ccm/impl/StatusCondition.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/Subscriber_T.h:
        * connectors/dds4ccm/impl/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/TimeUtilities.h:
        * connectors/dds4ccm/impl/TopicDescription_T.h:
        * connectors/dds4ccm/impl/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.h:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/Topic_T.h:
        * connectors/dds4ccm/impl/Topic_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Utils.h:
        * connectors/dds4ccm/impl/Utils.cpp:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_dds_impl_export.h:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds:
        * connectors/dds4ccm/impl/ndds/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/opendds:
        * connectors/dds4ccm/impl/splice:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.cpp:
        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Policies/deadline_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dest_order_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dp_factory_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dp_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dr_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dur_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dur_service_qos_test.h:
        * connectors/dds4ccm/tests/Policies/duration.h:
        * connectors/dds4ccm/tests/Policies/dw_qos_test.h:
        * connectors/dds4ccm/tests/Policies/entity_factory_qos_test.h:
        * connectors/dds4ccm/tests/Policies/group_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/hist_qos_test.h:
        * connectors/dds4ccm/tests/Policies/lat_budget_qos_test.h:
        * connectors/dds4ccm/tests/Policies/lifespan_qos_test.h:
        * connectors/dds4ccm/tests/Policies/liveliness_qos_test.h:
        * connectors/dds4ccm/tests/Policies/octet_seq.h:
        * connectors/dds4ccm/tests/Policies/ownership_qos_test.h:
        * connectors/dds4ccm/tests/Policies/ownership_strength_qos_test.h:
        * connectors/dds4ccm/tests/Policies/partition_qos_test.h:
        * connectors/dds4ccm/tests/Policies/presentation_qos_test.h:
        * connectors/dds4ccm/tests/Policies/pub_qos_test.h:
        * connectors/dds4ccm/tests/Policies/rd_lifecycle_qos_test.h:
        * connectors/dds4ccm/tests/Policies/reliability_qos_test.h:
        * connectors/dds4ccm/tests/Policies/resource_limits_qos_test.h:
        * connectors/dds4ccm/tests/Policies/sub_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tbf_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tp_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tp_qos_test.h:
        * connectors/dds4ccm/tests/Policies/transport_prio_qos_test.h:
        * connectors/dds4ccm/tests/Policies/user_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/wr_lifecycle_qos_test.h:
        * connectors/dds4ccm/tests/PortUsage/EventComponent/PortUsageEvent_Component_exec.cpp:
        * connectors/dds4ccm/tests/PortUsage/StateComponent/PortUsageState_Component_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.h:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/TimeConversion/time_conversion.cpp:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender_exec.cpp:
        * connectors/dds4ccm/impl/dds/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/dds/Coherent_Changes_Guard.cpp:
        * connectors/dds4ccm/impl/dds/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSCallbackStatusHandler.h:
        * connectors/dds4ccm/impl/dds/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Read_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/dds/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/dds/DataListenerControl_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/dds/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/dds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/dds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter_T.h:
        * connectors/dds4ccm/impl/dds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.h:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/dds/Log_Macros.h:
        * connectors/dds4ccm/impl/dds/Log_Macros.cpp:
        * connectors/dds4ccm/impl/dds/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/dds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener_T.h:
        * connectors/dds4ccm/impl/dds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Publisher_T.h:
        * connectors/dds4ccm/impl/dds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/dds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/dds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/dds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/dds/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/dds/Reader_T.h:
        * connectors/dds4ccm/impl/dds/Reader_T.cpp:
        * connectors/dds4ccm/impl/dds/StateListenerControl_T.h:
        * connectors/dds4ccm/impl/dds/StateListenerControl_T.cpp:
        * connectors/dds4ccm/impl/dds/StatusCondition.h:
        * connectors/dds4ccm/impl/dds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Subscriber_T.h:
        * connectors/dds4ccm/impl/dds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/dds/TimeUtilities.h:
        * connectors/dds4ccm/impl/dds/TopicDescription_T.h:
        * connectors/dds4ccm/impl/dds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener_T.h:
        * connectors/dds4ccm/impl/dds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Topic_T.h:
        * connectors/dds4ccm/impl/dds/Topic_T.cpp:
        * connectors/dds4ccm/impl/dds/Updater_T.h:
        * connectors/dds4ccm/impl/dds/Updater_T.cpp:
        * connectors/dds4ccm/impl/dds/Utils.h:
        * connectors/dds4ccm/impl/dds/Utils.cpp:
        * connectors/dds4ccm/impl/dds/Writer_T.h:
        * connectors/dds4ccm/impl/dds/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds/dds4ccm_dds_impl_export.h:
        * connectors/dds4ccm/impl/dds/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/dds/ndds:

        * connectors/dds4ccm/impl/dds/ndds/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/dds/ndds/DataReaderQos.h:
        * connectors/dds4ccm/impl/dds/ndds/DataWriterQos.h:
        * connectors/dds4ccm/impl/dds/ndds/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/dds/ndds/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/dds/ndds/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/dds/ndds/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/dds/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/dds/ndds/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/OctetSeq.h:
        * connectors/dds4ccm/impl/dds/ndds/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/ParticipantBuiltinTopicData.h:
        * connectors/dds4ccm/impl/dds/ndds/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/dds/ndds/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/PublisherQos.h:
        * connectors/dds4ccm/impl/dds/ndds/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/dds/ndds/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/ReliableWriterCacheChangedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/SampleInfo.h:
        * connectors/dds4ccm/impl/dds/ndds/SampleLostStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/StringSeq.h:
        * connectors/dds4ccm/impl/dds/ndds/SubscriberQos.h:
        * connectors/dds4ccm/impl/dds/ndds/SubscriptionBuiltinTopicData.h:
        * connectors/dds4ccm/impl/dds/ndds/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/dds/ndds/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/Time_t.h:
        * connectors/dds4ccm/impl/dds/ndds/TopicBuiltinTopicData.h:
        * connectors/dds4ccm/impl/dds/ndds/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/TopicQos.h:
        * connectors/dds4ccm/impl/dds/ndds/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/dds/ndds/WriterDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/dds/opendds:
        * connectors/dds4ccm/impl/dds/splice:
          Moved all core files up one level.

Thu Jun 24 09:41:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DomainParticipant_T.cpp:
          Fuzz

Thu Jun 24 09:23:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/dds/Publisher_T.cpp:
          Passing the type datawriter onto the listener.

Thu Jun 24 09:23:25 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_component_mpc.pl:
          Use dynamicflags +=

Thu Jun 24 08:52:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.mpc:
          Use dynamicflags +=

Thu Jun 24 08:29:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
          Build in extra check for errors.

Thu Jun 24 08:22:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Further cleanup to get this working on windows

        * MPC/config/dds4ccm_ddsonly.mpb:
          Removed this file.

Thu Jun 24 08:03:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Improvements to these files

Thu Jun 24 07:39:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.cpp:
          Warnings.

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.h:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Resolved compiler error related to templated DDS4CCM core.

Thu Jun 24 07:34:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.mpc:
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc:
        * connectors/dds4ccm/performance-tests/DDSLatency/Base/Latency_Base.mpc:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/DDS_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/DDS_Sender.mpc:
        * connectors/dds4ccm/performance-tests/DDSThroughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Receiver/DDS_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Sender/DDS_Sender.mpc:
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc:
        * connectors/dds4ccm/tests/CoherentUpdater/Base/CoherentUpdate_Test_Base.mpc:
        * connectors/dds4ccm/tests/CoherentWriter/Base/CoherentWrite_Test_Base.mpc:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Base/CFT_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.mpc:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/Event/Base/GCE_Test_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/State/Base/GCS_Test_Base.mpc:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc:
        * connectors/dds4ccm/tests/NoModule/NoModule.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.mpc:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc:
        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.mpc:
        * connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc:
        * connectors/dds4ccm/tests/UserdataCopyCount/Base/UCC_Test_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.mpc:
          No need to use anytypecode as base project together with
          dds4ccm_ts_default, dds4ccm_ts_default is now derived from typecode,
          easier to maintain but also a slightly footprint reduction

Thu Jun 24 07:13:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          RTI DDS needs the TAO_IDL typecodes, so use typecode as base project

        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
          Extended templates

        * connectors/dds4ccm/tests/Derived/Derived.mpc:
          Cleanup

        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:
          Added some more test IDL

Thu Jun 24 07:08:03 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter_T.h:
        * connectors/dds4ccm/impl/dds/Publisher_T.h:
        * connectors/dds4ccm/impl/dds/Subscriber_T.cpp:
          Passed the typed DataReader onto the listener. When DDS invokes
          a callback, we're able to use the typed datareader straight away.

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
          Resolved compiler errors due to templated DDS4CCM core.

Wed Jun 23 16:56:33 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/NDDS_DDS4CCM_CIAO.mwc:

          Added missing MPC file DDS4CCM_skel.mpc.

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:

          Uncommented connector attributes that were causing
          build problems.

        * connectors/dds4ccm/tests/PSAT/PSAT_Connector.idl:

          Added include of dds4ccm_Connector.idl, so we can
          process ccm_dds_psat.idl as stub-only.

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:

          Overhaul to fix numerous build problems.

Wed Jun 23 13:52:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Added some missing base projects

Wed Jun 23 13:42:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Removed projects, ccm_dds_psat.idl shouldn't be used to generate
          a connector, it only contains the templated module

Wed Jun 23 13:22:12 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
          Added another commented out connector, seems to fail with TAO_IDL

Wed Jun 23 13:09:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/examples/Hello/descriptors/Plan.cdp
        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_defn.mpc
        Rename _defn projects, cleanup code.

Wed Jun 23 12:42:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender.mpc
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender.mpc
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender.mpc
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender.mpc
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender.mpc
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender.mpc
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender.mpc
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender.mpc
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender.mpc
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender.mpc
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc
        Remove obsolete conn_xxx_idl_gen

Wed Jun 23 12:16:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_defn.mpc
        Add missing file.

Wed Jun 23 12:08:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Initialise pointer with 0

        * DAnCE/LocalityManager/Scheduler/Events/Install.cpp:
          When we get a CORBA exception, also log the _info from that exception

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
          Removed debug line that seems to be a left over

Wed Jun 23 11:48:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipant_T.cpp:
          Renamed CCM_DDS_DomainPublisherListener to
          CCM_DDS_DomainParticipantListener.

Wed Jun 23 11:43:00 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DomainParticipantFactory_T.cpp:
          Added missing file.

Wed Jun 23 11:38:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/dds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter_T.h:
        * connectors/dds4ccm/impl/dds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/dds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/dds/Publisher_T.h:
        * connectors/dds4ccm/impl/dds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/dds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/dds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/dds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/dds/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/dds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Subscriber_T.h:
        * connectors/dds4ccm/impl/dds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/dds/TopicDescription_T.h:
        * connectors/dds4ccm/impl/dds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Topic_T.h:
        * connectors/dds4ccm/impl/dds/Topic_T.cpp:
        * connectors/dds4ccm/impl/dds/Updater_T.cpp:
        * connectors/dds4ccm/impl/dds/Writer_T.cpp:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Gave all the templated classes a proper name and all
          templated files a proper file name.

        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.h:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener.h:
        * connectors/dds4ccm/impl/dds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter.h:
        * connectors/dds4ccm/impl/dds/DataWriter.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener.h:
        * connectors/dds4ccm/impl/dds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipant.h:
        * connectors/dds4ccm/impl/dds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/dds/Publisher.h:
        * connectors/dds4ccm/impl/dds/Publisher.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener.h:
        * connectors/dds4ccm/impl/dds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/dds/QueryCondition.h:
        * connectors/dds4ccm/impl/dds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/dds/ReadCondition.h:
        * connectors/dds4ccm/impl/dds/ReadCondition.cpp:
        * connectors/dds4ccm/impl/dds/Subscriber.h:
        * connectors/dds4ccm/impl/dds/Subscriber.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener.h:
        * connectors/dds4ccm/impl/dds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/dds/Topic.h:
        * connectors/dds4ccm/impl/dds/Topic.cpp:
        * connectors/dds4ccm/impl/dds/TopicDescription.h:
        * connectors/dds4ccm/impl/dds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener.h:
        * connectors/dds4ccm/impl/dds/TopicListener.cpp:
          Removed these files.

Wed Jun 23 11:28:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
          Moved method to non inline

Wed Jun 23 11:09:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:
        * ciao/Deployment/Interceptors/Deployment_Interceptors.cpp:
          Layout, const, and initialise pointers with 0 changes

Wed Jun 23 10:23:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/descriptors/Plan.cdp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_defn.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_obj.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h
        Implement _defn.idl, improve mpc files, clean code .

Wed Jun 23 10:22:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment/Handlers/Component_Handler.cpp:
          Catch exceptions as const, initialise pointers to 0 and fixed
          an incorrect log line

Wed Jun 23 08:58:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.h:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener.h:
        * connectors/dds4ccm/impl/dds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter.h:
        * connectors/dds4ccm/impl/dds/DataWriter.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener.h:
        * connectors/dds4ccm/impl/dds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipant.h:
        * connectors/dds4ccm/impl/dds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/dds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Publisher.h:
        * connectors/dds4ccm/impl/dds/Publisher.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener.h:
        * connectors/dds4ccm/impl/dds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/QueryCondition.h:
        * connectors/dds4ccm/impl/dds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/dds/ReadCondition.h:
        * connectors/dds4ccm/impl/dds/ReadCondition.cpp:
        * connectors/dds4ccm/impl/dds/Subscriber.h:
        * connectors/dds4ccm/impl/dds/Subscriber.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener.h:
        * connectors/dds4ccm/impl/dds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Topic.h:
        * connectors/dds4ccm/impl/dds/Topic.cpp:
        * connectors/dds4ccm/impl/dds/TopicDescription.h:
        * connectors/dds4ccm/impl/dds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener.h:
        * connectors/dds4ccm/impl/dds/TopicListener.cpp:
        * connectors/dds4ccm/impl/dds/dds4ccm_impl.mpc:
          Made almost all DDS4CCM classes templated classes.

        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.mpc:
          Code alignment.

        * connectors/dds4ccm/impl/dds/DataReader.h:
        * connectors/dds4ccm/impl/dds/DataReader.cpp:
          Removed these files.

Wed Jun 23 08:42:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3832_Regression/run_test.pl:
          Set DANCE_ROOT to get locality manager

Wed Jun 23 07:10:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
          Commented the attributes in the psat connector for the moment, they
          are the last part not working yet, this way we can already build
          psat on all build system, Jeff will sort out the attribute issue
          later today

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Removed last dummy_label

Wed Jun 23 07:05:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Removed -SS flag that caused an include of ccm_ddsS.h to not be
          there

Wed Jun 23 06:59:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
          RTI DDS doesn't seem able to handle the ccm_dds.idl correctly

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Enabled a few more projects and fixed some dependencies

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc:
          This works now with rti 4.5b rev 01

Tue Jun 22 19:00:58 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:

          New file, hand-written template connector implementation.

        * connectors/dds4ccm/tests/PSAT/psat_conn.idl:
        * connectors/dds4ccm/tests/PSAT/PSAT_Connector.idl:

          Renamed psat_conn.idl as PSAT_Connector.idl, since all
          dependent filenames in the MPC file were based on
          that name.

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:

          Modified projects to reflect the new IDL file name
          above.

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:

          Removed comments to make the file more readable.

Tue Jun 22 18:31:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Component/Exception_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
          Various cleanup, layout, const changes

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Corrected filenames

Tue Jun 22 15:33:18 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:

          Added user connection impl template file to the exec project.

Tue Jun 22 15:21:58 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector.h:

          Changed the names of the derived connector impl template
          classes to be the IDL connector name with '_Connector_T'
          appended, so the IDL compiler can have a rule to use in
          the general case for generating the name of the connector
          impl base class.

Tue Jun 22 14:06:31 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:

          Removed dummy_label on connector impl build.

Tue Jun 22 12:57:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.idl:
          Enabled some more test idl

Tue Jun 22 12:49:38 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.idl:

          Uncommented the IDL that was causing the redefition errors,
          problem has been fixed.

Tue Jun 22 12:08:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Disabled the cif tests until we have converted these to the locality
          manager

        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
          Layout changes

Tue Jun 22 11:49:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.h:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.h:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
          Removed not used member

Tue Jun 22 11:32:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Added missing empty Source_Files section

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Added dummy_label back for the connector until Jeff has addressed
          an issue in tao_idl

        * tests/Bug_3832_Regression/run_test.pl:
          use dance_locality_manager

Tue Jun 22 09:17:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

       * DAnCE/LocalityManager/Scheduler/Deployment_Completion.cpp:
         Fixed unused argument warning.

       * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.inl:
         Added missing file.

       * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
       * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.h:
         Added missing destructor.
         Added missing constructor implementation.

       * DAnCE/LocalityManager/Daemon/Locality_Manager.mpc:
         Added missing baseproject.

       * DAnCE/MPC/config/dance_locality_handler.mpb:
         Added missing baseproject.

Tue Jun 22 08:35:13 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

       * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_defn.idl:
       * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_obj.idl:
       * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/Ports/Hello_Receiver_comp.idl:
       * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc:
       * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/Ports/Hello_Sender_comp.idl:
         Add Id strings.

Tue Jun 22 00:57:13 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/dds4ccm/examples/Shapes/models/Shapes-complete.xme:

          Update to latest model.

Mon Jun 21 23:15:11 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Updated scheduler to borrow the ORB thread in the event that it is
          launched with a thread pool of size zero.  This is used in the Locality
          Manager to ensure that the thread switch tests pass in dds4ccm.

Mon Jun 21 18:21:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.idl:
          Corrected some mistakes and commented out the correct idl

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.idl:
          Reverted some changes that should have go to another test

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.cpp:
          Layout changes

Mon Jun 21 14:57:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.idl:
          Readded some commented out IDL that doesn't work yet

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello.mpc:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.mpc:
          Made MPC project names unique

Mon Jun 21 14:37:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.h:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.cpp:
          Fixed valgrind invalid read errors and also changed this test to
          be more precise in its testing

Mon Jun 21 14:09:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.cpp:
          Use correct data type to interate through a CORBA sequence

        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.cpp:
          Layout changes

Mon Jun 21 13:20:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Close plugin manager singleton in Locality Manager destructor.
          Fixes pure virtual method exceptions.

Mon Jun 21 11:16:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello.idl:
          Enabled ami4ccm some more interfaces

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.idl:
          Commented out the uses multiple ports for the moment

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.mpc:
          Added this file

        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.idl:
          Added some more test idl but this is commented out, uncovered an issue
          in tao_idl

Mon Jun 21 11:03:04 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello
        * connectors/ami4ccm/tutorials/Hello/Hello_asm
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/descriptors
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/descriptors/Plan.cdp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/scripts
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/scripts/run_test.pl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/Doc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/Ports
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/Ports/Hello_Receiver_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.h
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Doc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_obj.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Ports/Hello_defn.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/Doc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/Ports
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/Ports/Hello_Sender_comp.idl
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp.mpc
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h
        First base tutorial.

Mon Jun 21 10:59:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.idl:
          New file with some more test components, mpc is following when
          this fails compiles without problems with tao_idl

Mon Jun 21 08:46:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.h:
        * connectors/ami4ccm/ami4ccm/ami4ccm.idl:
          Added some more documentation

        * connectors/ami4ccm/docs/AMI4CCM-explanation.odt:
        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Some initial updates

Mon Jun 21 07:45:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_SharedMem.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_UDPv4.cdp:
          Updated because of changes to generated entry points

        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
        * connectors/dds4ccm/tests/Derived/Derived.idl:
        * connectors/dds4ccm/tests/Derived/Derived.mpc:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:
          New test to validate code generation when an end user derives their
          own connector from one of the standard defined connectors. This is
          a reproducer for Jeff, the _conn.h/cpp file lack some traits and
          generate the wrong template

Mon Jun 21 05:03:16 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/dds4ccm/examples/Shapes/models/Shapes-complete.xme:
        * connectors/dds4ccm/examples/Shapes/models/Shapes.xme:

          Updated version of Shapes example.

Sun Jun 20 21:28:17 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

          Warning fix.

Sun Jun 20 21:25:03 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * ciao/Deployment/Handlers/CIAO_Deployment_Handlers.mpc:
        * ciao/Deployment/Interceptors/CIAO_Deployment_Interceptors.mpc:

          Compile fixes.

Sun Jun 20 17:48:00 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_LocalityManager.idl:
        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.cpp:

          Layout changes.

        * DAnCE/LocalityManager/Daemon/Locality_Manager.mpc:
        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.h:
        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

        Scheduler integration


        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.h:
        * DAnCE/LocalityManager/Scheduler/Events:
        * DAnCE/LocalityManager/Scheduler/Events/Configured.h:
        * DAnCE/LocalityManager/Scheduler/Events/Configured.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Connect.h:
        * DAnCE/LocalityManager/Scheduler/Events/Connect.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.h:
        * DAnCE/LocalityManager/Scheduler/Events/Endpoint.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Install.h:
        * DAnCE/LocalityManager/Scheduler/Events/Install.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Passivate.h:
        * DAnCE/LocalityManager/Scheduler/Events/Passivate.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Remove.h:
        * DAnCE/LocalityManager/Scheduler/Events/Remove.cpp:
        * DAnCE/LocalityManager/Scheduler/Events/Start.h:
        * DAnCE/LocalityManager/Scheduler/Events/Start.cpp:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.h:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.cpp:
        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:

          Re-factored event scheduler events.

        * DAnCE/MPC/config/dance_completion_counter.mpb:
        * DAnCE/MPC/config/dance_deployment_scheduler.mpb:

          Linking fixes/MPC optimization.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Bugfixes.

        * ciao/Deployment/Handlers/Component_Handler.h:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.h:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.h:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
        * ciao/Deployment/Handlers/Homed_Component_Handler.h:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:

          Added factory methods, re-arranged configuration logic.

        * ciao/Deployment/Interceptors/CIAO_Deployment_Interceptors.mpc:
        * ciao/Deployment/Interceptors/CIAO_Deployment_Interceptors_export.h:
        * ciao/Deployment/Interceptors/Deployment_Interceptors.h:
        * ciao/Deployment/Interceptors/Deployment_Interceptors.cpp:
        * ciao/Deployment/Interceptors/Name_Utilities.h:
        * ciao/Deployment/Interceptors/Name_Utilities.cpp:

          Moved initial deployment interceptors into CIAO.

        * DAnCE/LocalityManager/Daemon/Deployment_Interceptors.h:
        * DAnCE/LocalityManager/Daemon/Deployment_Interceptors.cpp:
        * DAnCE/LocalityManager/Daemon/Name_Utilities.h:
        * DAnCE/LocalityManager/Daemon/Name_Utilities.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.cpp:

          Removed these files.

Sun Jun 20 13:10:16 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/ami4ccm/models:
        * connectors/ami4ccm/models/ami4ccm.xme:

          PICML model for the ami4ccm backend.

        * connectors/dds4ccm/models/dds4ccm.xme:

          Update of dds4ccm PICML model after updating the PICML metamodel to
          completely support IDL statements it was currently lacking, such as
          'native' and array struct members.

        * connectors/dds4ccm/examples/Shapes/models/Shapes.xme:

          Regenerated Shapes example.

Fri Jun 18 20:29:14 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/ciao_base.mpb:

          Missing from a previous commit.

Fri Jun 18 19:40:33 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/XML/XercesString.cpp:

          Attempt at a fix for a memory leak detected by valgrind.

Fri Jun 18 19:06:00 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Base:
        * ciao/ComponentServer:

          Renamed ComponentServer to Base.

        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:

          Fallout from above change.

Fri Jun 18 18:38:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
          Added new pragma to generate implementation header

        * connectors/dds4ccm/impl/dds/DDS4CCM_Traits.h:
          Removed this file, not needed anymore

Fri Jun 18 18:32:21 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/idl/ccm_dds.idl:

          Added 2 pragma directives, both of a new type added to
          the IDL compiler, directing it to generate an include
          for the DDS connector impl template class. These added
          directives are for the DDS_State and DDS_Event connectors.

Fri Jun 18 18:18:54 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager.mpc:
        * DAnCE/LocalityManager/Handler/LocalityHandler.mpc:
        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * MPC/config/ciao_deployment_handlers.mpb:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Containers/Session/Session_Container.mpc:
        * ciao/Deployment/Handlers/CIAO_Deployment_Handlers.mpc:

          Fallout from removal of CIAO component server.

        * ciao/ComponentServer/CIAO_Base.mpc:
        * ciao/ComponentServer/Client_init.h:
        * ciao/ComponentServer/Server_init.h:

          Restructured into the CIAO_Base library.  Directory will be
          renamed in a future commit.

        * tests/CIF/Common/CIF_Common.mpc:
        * tests/CIF/Navigation/Navigation.mpc:
        * tests/CIF/Receptacle/Receptacle.mpc:

          Disabled until they can be re-implemented without the CIAO
          compoenent server.

        * MPC/config/ciao_componentserver_stub.mpb:
        * MPC/config/ciao_componentserver_svnt.mpb:
        * MPC/config/ciao_cs_client.mpb:
        * ciao/ComponentServer/CIAO_CS_Client.idl:
        * ciao/ComponentServer/CIAO_ComponentInstallation_Impl.h:
        * ciao/ComponentServer/CIAO_ComponentInstallation_Impl.cpp:
        * ciao/ComponentServer/CIAO_ComponentServer.cpp:
        * ciao/ComponentServer/CIAO_ComponentServer.idl:
        * ciao/ComponentServer/CIAO_ComponentServer.mpc:
        * ciao/ComponentServer/CIAO_ComponentServer_Impl.h:
        * ciao/ComponentServer/CIAO_ComponentServer_Impl.cpp:
        * ciao/ComponentServer/CIAO_ComponentServer_Task.h:
        * ciao/ComponentServer/CIAO_ComponentServer_Task.cpp:
        * ciao/ComponentServer/CIAO_Container_Impl.h:
        * ciao/ComponentServer/CIAO_Container_Impl.cpp:
        * ciao/ComponentServer/CIAO_RTComponentServer.cpp:
        * ciao/ComponentServer/CIAO_RTComponentServer_Task.h:
        * ciao/ComponentServer/CIAO_RTComponentServer_Task.cpp:
        * ciao/ComponentServer/CIAO_ServerActivator_Impl.h:
        * ciao/ComponentServer/CIAO_ServerActivator_Impl.cpp:

          Removed the CIAO component server.

        * tests/CIAO_ComponentServer:
        * tests/CIAO_ComponentServer/Activator:
        * tests/CIAO_ComponentServer/Activator/Activator.mpc:
        * tests/CIAO_ComponentServer/Activator/client.cpp:
        * tests/CIAO_ComponentServer/Activator/run_test.pl:
        * tests/CIAO_ComponentServer/Basic:
        * tests/CIAO_ComponentServer/Basic/Basic.mpc:
        * tests/CIAO_ComponentServer/Basic/client.cpp:
        * tests/CIAO_ComponentServer/Basic/run_test.pl:
        * tests/CIAO_ComponentServer/Local_Facet:
        * tests/CIAO_ComponentServer/Local_Facet/Local_Facet.idl:
        * tests/CIAO_ComponentServer/Local_Facet/Local_Facet.mpc:
        * tests/CIAO_ComponentServer/Local_Facet/Local_Facet_exec.h:
        * tests/CIAO_ComponentServer/Local_Facet/Local_Facet_exec.cpp:
        * tests/CIAO_ComponentServer/Local_Facet/client.cpp:
        * tests/CIAO_ComponentServer/Local_Facet/run_test.pl:
        * tests/CIAO_ComponentServer/SimpleComponent:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.idl:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.mpc:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec.cpp:
        * tests/CIAO_ComponentServer/SimpleComponent/client.cpp:
        * tests/CIAO_ComponentServer/SimpleComponent/run_test.pl:

          Removed testing of CIAO component server.  These features are already tested
          in other places for the new infrastructure.

Fri Jun 18 17:47:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Fixed incorrectly place #endif.

Fri Jun 18 17:40:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
          Initialise pointer to 0

        * tests/IDL3_to_XMI/IDL2XMI_Test/xmlvalidator.cpp:
        * tools/XML/XML_Helper.tpp:
          Layout changes

Fri Jun 18 13:56:01 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:
        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:

          Remove mcpp.

Fri Jun 18 13:43:02 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/Sender/Sender.idl:
        * examples/Hello/Sender/Sender_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/descriptors/DeploymentPlan.cdp:
        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:
        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
        * examples/Hello/descriptors/PlanLocality_SameProcess.cdp:

          Removed un-needed complex types from this example.

Fri Jun 18 12:13:33 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
          Set domain_id to 0 because the RTI shapes demo only listens
          on Domain 0.

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/01_general.html:
          Update.

Fri Jun 18 12:13:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
          Layout changes

Fri Jun 18 12:04:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
          Code cleanup

Fri Jun 18 12:03:29 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Deployment_Event.cpp:

          Compile fix for non-inline builds.

Fri Jun 18 11:40:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/06_compilation.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/artifacts.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/connections.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/implementation.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Deployment/instance.cdp:
          Update.

Fri Jun 18 11:41:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
          Removed static

Fri Jun 18 11:19:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Fixed double delete

Fri Jun 18 07:21:07 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/02_idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/04_dds4ccm.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/05_coding.html:
          Update.

Fri Jun 18 06:43:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/01_general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/02_idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/03_executors.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/04_dds4ccm.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/05_coding.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/06_compilation.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/coding.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/compilation.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/dds4ccm.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/executors.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Numbered html files.

Fri Jun 18 06:39:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/coding.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/compilation.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/dds4ccm.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/executors.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Outline of this tutorial.

Fri Jun 18 03:30:20 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Deployment_Event.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.cpp:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.cpp:

          Fuzz.

Fri Jun 18 03:25:00 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Completion.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Event.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.cpp:
        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:

          Improved mechanism to wait on completion of deployment
          events based on the completion counter.

        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Updated to use new completion system.

        * DAnCE/tools/Completion/Completion_Counter_Base.h:
        * DAnCE/tools/Completion/Completion_Counter_Base.inl:

          Added new method so subclasses can increment expected
          events.  Also resolved possible deadlock condition
          by releasing locks before making outbound calls
          on user code.

        * DAnCE/LocalityManager/Scheduler/Deployment_Events.tpp:

          Removed this file.

Thu Jun 17 19:22:51 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Locality_Manager_Impl.h:

          Layout change.

        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.h:
        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.cpp:

          Bugfixes in the callback code to accomodate non-orb managed threadpools.

        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.h:
        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:

          Changed how internal Activator is configured.

        * DAnCE/LocalityManager/Scheduler/Deployment_Events.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.cpp:

          Linking fixes and minor changes in exception handling.

        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Integration of Deployment Scheduler to NodeApplication.

Thu Jun 17 19:18:13 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/MPC/config/dance_nodeapplication.mpb:

          Link in the scheduler to the NodeApplication.

Thu Jun 17 19:16:55 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:

          Store a reference in the POA in the property map.

Thu Jun 17 19:15:04 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_Properties.idl:

          Added property to indentify the entity POA.

        * DAnCE/DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE/DAnCE_Utility.tpp:

          Added a utility method to extract exceptions from an Any.

Thu Jun 17 15:34:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Completion/Completion_Counter_Base.inl:
        * DAnCE/tools/Completion/Completion_Counter_Base.h:
          Added error collection.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplication/Domain_Application_Impl.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp:
          Fixed error propagation.

Thu Jun 17 14:48:02 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Fuzz.

Thu Jun 17 14:40:00 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
          Changed in order to meet the generated code better.

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Control_comp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Control_comp/Shapes_Control_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Sender_comp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Sender_comp/Shapes_Sender_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/executors.html:
          Generated executors.

Thu Jun 17 13:05:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/executors.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/images/images.png:
          Added header and footer.

Thu Jun 17 12:57:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Clean up.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplication/Domain_Application_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
          Fixed plan teardown; added missing destroy of managers in process.
          Added -f|--force argument to plan launcher.

Thu Jun 17 12:56:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_Base.idl:
        * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handle.idl:
          Use full path for the include

Thu Jun 17 12:41:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Update.

Thu Jun 17 12:28:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Update.

Thu Jun 17 11:43:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
          Extended and corrected some minor errors.

Thu Jun 17 11:27:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.idl:
          Removed COLOR enum since it isn't used.

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/general.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/idl.html:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/images:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/images/system.png:
          Starter.

Thu Jun 17 11:22:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Sender/CFTLS_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PortUsage/EventComponent/PortUsageEvent_Component_exec.cpp:
        * connectors/dds4ccm/tests/PortUsage/StateComponent/PortUsageState_Component_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.cpp:
          Cleanup

Thu Jun 17 09:09:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_exec.cpp:
          Renamed executor files. Also renamed artifacts.

Thu Jun 17 08:41:42 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/Shapes_Control_obj.mpc:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_exec.cpp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_exec.cpp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_exec.cpp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/ports/ShapesControl_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/ports/ShapesControl_obj.mpc:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/ShapesControl_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/ShapesControl_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/ShapesControl_exec.cpp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/ShapesReceiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/ShapesReceiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/ShapesReceiver_exec.cpp:

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/ShapesSender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/ShapesSender_exec.cpp:
          Renamed directories (underscore between Shapes and Sender/Control/Receiver).

Thu Jun 17 08:43:11 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.h:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.cpp:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp:
          Cleanup and some simplifications

Thu Jun 17 08:33:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/Shapes_Control_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/Shapes_Control_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/Shapes_Receiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/Shapes_Sender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_exec.cpp:
          Renamed file (underscore between Shapes and Sender/Control/Receiver).

Thu Jun 17 08:15:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/scripts:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/scripts/run_test.pl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/run_test.pl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/run_test.pl:
          Reorganized descriptors directory.

Thu Jun 17 08:06:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.cpp:
          Reorganized the mpc files. Also created a consistent format of the mpc-files regarding
          the attributes like sharedname/includes.

Thu Jun 17 07:58:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
          Const, layout, and memory management changes

Thu Jun 17 07:43:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Receiver/CFTLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Receiver/CFTLS_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.cpp:
          Cleanup, no caching in executors

Thu Jun 17 04:21:51 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/dds4ccm/examples/Shapes/models/Shapes-complete.xme:

          Complete model for the Shapes example.

Wed Jun 16 19:13:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
          Resolved memory leak.

Wed Jun 16 18:42:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DataReader_T.h:
        * connectors/dds4ccm/impl/dds/Topic.h:
        * connectors/dds4ccm/impl/dds/Updater_T.h:
        * connectors/dds4ccm/impl/dds/Writer_T.h:
          Layout changes

Wed Jun 16 14:20:13 UTC 2010  Simon Massey  <simon dot massey at prismtech dot com>

        * connectors/dds4ccm/NDDS_DDS4CCM_CIAO.mwc:

          Removed refereance to $(CIAO_ROOT)/connectors/dds4ccm/impl/logger
          directory removed by: Wed Jun  9 18:51:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

Wed Jun 16 13:49:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes.mpb:
          Fuzz.

Wed Jun 16 13:38:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.cpp:
          Added error handling.

Wed Jun 16 12:58:24 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/dds4ccm/examples/Shapes/models/README:
        * connectors/dds4ccm/models/README:

          Added several README documents.

Wed Jun 16 12:51:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.idl:
          Created a _defn.idl file for definition like return values.

Wed Jun 16 12:46:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PortUsage/EventComponent/PortUsageEvent_Component_exec.h:
        * connectors/dds4ccm/tests/PortUsage/StateComponent/PortUsageState_Component_exec.h:
        * connectors/dds4ccm/tests/PortUsage/StateComponent/PortUsageState_Component_exec.cpp:
          Cleanup, no caching in executors

Wed Jun 16 12:04:34 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler/Deployment_Events.h:

          fuzz.

Wed Jun 16 12:01:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Change to prevent loss of plan information.

Wed Jun 16 11:37:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added shapes tutorial to the test framework.

Wed Jun 16 11:35:24 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/run_test.pl:
          Implemented the shapes contoller.

Wed Jun 16 10:36:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Split_Plan/Split_Plan.cpp:
        * DAnCE/tools/Split_Plan/Sub_UUID_Generator.cpp:
        * DAnCE/tools/Split_Plan/Sub_UUID_Generator.h:
          Changed to use a simpler way to generate unique sub plan
          ids which are more readable as well.

Wed Jun 16 09:17:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ShapesControl_obj.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/ports/ShapesControl_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesControl_comp/src/ShapesControl_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_comp.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesControl.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ports/Shapes_Control_obj.idl:
          Added a non-DDS controller which controls the sender. Functionality needs to be
          added.

Wed Jun 16 09:01:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/MPC/config/dance_installation_handlers.mpb:
          Added missing base project.

        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.inl:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.h:
          Improved thread safety.

Wed Jun 16 06:43:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.cpp:
          Renamed names of entrypoints

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/run_test.pl:
          Resolved errors in deployment plan.

Wed Jun 16 06:25:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Models:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/ShapesReceiver_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesReceiver_comp/src/ShapesReceiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesControl.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ShapesSender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ShapesSender_comp/src/ShapesSender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/descriptors/run_test.pl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes.mpb:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_conn.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_msg.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial:
          First iteration.

Wed Jun 16 05:23:27 UTC 2010  James H. Hill  <hillj at cs dot iupui dot edu>

        * connectors/dds4ccm/examples/Shapes/models:
        * connectors/dds4ccm/examples/Shapes/models/Shapes.xme:

          Shapes PICML model that can be used to generate IDL.

        * connectors/dds4ccm/models:
        * connectors/dds4ccm/models/dds4ccm.xme:

          dds4ccm PICML library.

Wed Jun 16 01:37:51 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ChangeLog:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.h:
        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:
        * DAnCE/MPC/config/dance_deployment_scheduler.mpb:

          Fuzz fix.

Wed Jun 16 01:25:06 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Scheduler:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.inl:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.tpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Events.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.h:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
        * DAnCE/LocalityManager/Scheduler/Deployment_Scheduler_export.h:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.h:
        * DAnCE/LocalityManager/Scheduler/Plugin_Manager.cpp:
        * DAnCE/LocalityManager/Scheduler/Scheduler.mpc:
        * DAnCE/MPC/config/dance_deployment_scheduler.mpb:

          New asynchronus deployment scheduler.  This is not currently
          integrated with the NodeApplication and LocalityManager -
          these updates will be committed shortly.

Wed Jun 16 01:20:47 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/LocalityManager/Daemon/Deployment_Interceptors.h:
        * DAnCE/LocalityManager/Daemon/Deployment_Interceptors.cpp:
        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.h:
        * DAnCE/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:

          Updates to comply with new handler/interceptor interface.

Wed Jun 16 01:18:58 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Deployment/Handlers/Component_Handler.h:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.h:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.h:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
        * ciao/Deployment/Handlers/Homed_Component_Handler.h:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:

          Updates to comply with new handler interface.

Wed Jun 16 01:17:50 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE/DAnCE_DeploymentInterceptors.idl:
        * DAnCE/DAnCE/DAnCE_LocalityManager.idl:

          Added configuration hooks and reformatted IDL.

        * DAnCE/DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE/DAnCE_Utility.cpp:

          Added method to reconstruct property sequence from property
          map.

Wed Jun 16 01:16:25 UTC 2010  William Otte  <wotte@zifnab>

        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.inl:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.h:

          Compile fix for OS X.

Tue Jun 15 22:36:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        Finishing integration of artifact installation.

        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.inl:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.h:
          Fixed problems with multiple installations of single artifacts
          (i.e. reuse of artifacts in multiple instances).

        * DAnCE/DAnCE/DAnCE_Properties.idl:
          Added some Locality Manager properties.

        * DAnCE/DAnCE/DAnCE_Utility.tpp:
        * DAnCE/DAnCE/DAnCE_Utility.h:
        * DAnCE/DAnCE/DAnCE_Utility.cpp:
          Added update_property_value template methods.

        * DAnCE/LocalityManager/Handler/LocalityActivator_Impl.cpp:
          Added handling of search path properties.

        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Integrated Artifact Installation.

Tue Jun 15 18:55:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tutorials/Quoter/Simple/03.html:
          Updated several links

Tue Jun 15 17:59:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/GetComponent/Event/*:
          Added tests for _get_component on DDS_Event connector.

Tue Jun 15 12:56:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.h:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.cpp:
          Cleanup, no caching in executors

Tue Jun 15 12:45:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PortUsage/StateComponent/PortUsageState_Component_exec.h:
        * connectors/dds4ccm/tests/QosProfile/Component/QosProfile_Test_Component_exec.h:
        * connectors/dds4ccm/tests/QosProfile/Component/QosProfile_Test_Component_exec.cpp:
          Cleanup, no caching in executors

Tue Jun 15 11:06:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.cpp:
          Cleanup, no caching in executors

Tue Jun 15 10:05:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials:
        * tutorials:
          Moved tutorials one level up

Tue Jun 15 09:58:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
        * connectors/dds4ccm/tests/PSAT/psat_conn.idl:
        * connectors/dds4ccm/tests/PSAT/psat_type.idl:
          Started to add a connector instanatiation

Tue Jun 15 09:42:41 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/SimplexMulti/descriptors/Plan.cdp
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.cpp
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.h
        Change cdp, add more receiver instances and change therefore receiver
        test properties.

Tue Jun 15 08:13:41 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/SimplexMulti
        * connectors/ami4ccm/tests/SimplexMulti/Base
        * connectors/ami4ccm/tests/SimplexMulti/Base/UsesSM.idl
        * connectors/ami4ccm/tests/SimplexMulti/Base/UsesSM.mpc
        * connectors/ami4ccm/tests/SimplexMulti/descriptors
        * connectors/ami4ccm/tests/SimplexMulti/descriptors/Plan.cdp
        * connectors/ami4ccm/tests/SimplexMulti/descriptors/run_test.pl
        * connectors/ami4ccm/tests/SimplexMulti/Receiver
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver.idl
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver.mpc
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.cpp
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.h
        * connectors/ami4ccm/tests/SimplexMulti/Sender
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.idl
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.h
        * bin/ciao_tests.lst
        AMI4CCM test uses and uses multiple side by side.


Tue Jun 15 06:44:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/DoubleNestedModule/Sender/DNM_Sender_exec.h:
        * connectors/dds4ccm/tests/DoubleNestedModule/Sender/DNM_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/GetComponent/State/Component/GCS_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/OIT_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/OIT_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.h:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender_exec.cpp:
          Various layout changes, memory leaks, and code cleanup

Mon Jun 14 14:50:45 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * connectors/ami4ccm/tests/AsynchT/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneReplyH/descriptors/run_test.pl:

          Added the GetArchDir() call so that these tests can run in the
          ARCH builds.

Mon Jun 14 14:32:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Split_Plan/Split_Plan.h:
          Added const iterator typedef.

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Some code reorganization in preparation for artifact installation
          integration.

Mon Jun 14 13:33:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added docs/tutorial/Quoter/Simple to the
          test framework.

        * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.cpp:
          StockBrokerDriver in lib directory.

        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.cpp:
          StockDistributerDriver in lib directory.

        * docs/tutorials/Quoter/Simple/descriptors/Plan.cdp:
        * docs/tutorials/Quoter/Simple/descriptors/run_test.pl:
          Added run_test.pl en corrected errors in deployment plan.

Mon Jun 14 12:51:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Added requires to fix warnings because of no target

Mon Jun 14 12:35:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Get_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/StateListenerControl_T.cpp:
          Setting the component of the ports to nil on ccm_remove.

Mon Jun 14 12:36:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO_DAnCE.mwc:
          Added dds4ccm and ami4ccm core directories

Mon Jun 14 12:05:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimpleProcessColocation_Default.cdp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/SimpleProcessColocation_Default.cdp:
          Readded these files again, they now work again as expected

Mon Jun 14 11:49:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.cpp:
          Removed unnecessary define.

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/GetComponent/*:
          Test whether _get_component is implemented on
          all extended ports.
          _get_component is not implemented on the DataListenerControl,
          that's why !FIXED_BUG_ONLY.

Mon Jun 14 11:35:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Split_Plan/Split_Plan.mpc:
        * DAnCE/tools/Split_Plan/Split_Plan.cpp:
        * DAnCE/tools/Split_Plan/Node_Splitter.h:
        * DAnCE/tools/Split_Plan/Node_Splitter.cpp:
        * DAnCE/tools/Split_Plan/Locality_Splitter.h:
        * DAnCE/tools/Split_Plan/Locality_Splitter.cpp:
        * DAnCE/tools/Split_Plan/Sub_UUID_Generator.cpp:
          Improved locality splitting algorithm.
          Added post splitting step to provide for finalization
          functionality in splitters (Locality splitter uses
          this to make sure a locality manager instance is always
          provided).
          Other small improvements.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Changed to make use of improved locality splitter (in
          particular the guarenteed availability of locality
          manager instance).

Mon Jun 14 10:51:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.pptx:
          Added a sheet with some implementation remarks

Mon Jun 14 10:43:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/StateListenerControl_T.cpp:
          is_filter_interpreted is not supported with RTI DDS, throw an
          exception in case someone wants to set it

Mon Jun 14 09:30:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.h:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.cpp:
          Fixed missing virtual destructors.

        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_Impl.cpp:
          Fixed wchar compile problems.

Mon Jun 14 09:28:41 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst
        Add AMI4CCM test UsesMulti

        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.cpp
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp
        Expand test for running indeed asynchronous.

Mon Jun 14 09:07:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/UsesMulti/Base/UsesMulti.idl:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.idl:
          Moved the new pragma ciao ami4ccm idl to the Base directory, that
          way we only have to specify it once, anyone that includes the
          UsesMulti.idl will get the additional needed UsesMultiA.idl included

Mon Jun 14 08:10:41 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/UsesMulti/descriptors/Plan.cdp
        Change plan for uses multi asynchronous.

Sun Jun 13 18:02:41 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/Parsing/test.cpp:
          Disable DANCE tracing by default

        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Component/Exception_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.cpp:
          Fixed windows problems

Sat Jun 12 09:32:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Component/Exception_Test_Component_exec.cpp:
          Avoided 'Error' in log message.

Sat Jun 12 09:30:28 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Corrected path to Parsing/PlanLauncher test.

Sat Jun 12 06:31:42 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Corrected directory to Deployments tests of
          ContentFilteredTopic test.

Fri Jun 11 18:59:12 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
          Added guards around RTI specific code

Fri Jun 11 18:14:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component.mpc:
          Made project names unique

Fri Jun 11 17:50:53 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc:

          Removed references to Conn_UsesMulti_Base_stub, it doesn't
          exist.

Fri Jun 11 17:27:41 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.idl:

          Added one of the newly supported pragma directives, to
          facilitate the compilation of the multiplex receptacle's
          associated struct and sequence, when the receptacle is
          designated as an AMI port.

Fri Jun 11 13:37:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
          Using duplicates to return basic ports.

Fri Jun 11 13:17:28 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
          Using duplicate to return interfaces.

        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.h:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.cpp:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/Plan.cdp:
          Reorganized.

Fri Jun 11 13:02:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Base/AsynchT.mpc:
        * connectors/ami4ccm/tests/DelReplyH/Base/DelReplyH.mpc:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/Exceptions/Base/ExceptionT.mpc:
        * connectors/ami4ccm/tests/IDL_Test/AMI4CCM_IDLTest.mpc:
        * connectors/ami4ccm/tests/InterInArgs/Base/InterInArgsT.mpc:
        * connectors/ami4ccm/tests/InterMulti/Base/InterMulti.mpc:
        * connectors/ami4ccm/tests/InterOutArgs/Base/InterOutArgsT.mpc:
        * connectors/ami4ccm/tests/InterReturn/Base/InterReturnT.mpc:
        * connectors/ami4ccm/tests/NoReplyH/Base/NoReplyH.mpc:
        * connectors/ami4ccm/tests/OneProcess/Base/OneProcess.mpc:
        * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.mpc:
        * connectors/ami4ccm/tests/UsesMulti/Base/UsesMulti.mpc:
          Use typecode as new base project when compiling the A.idl files, we
          only need the typecodes, not the any operators, thanks to Jeff Parsons
          to pointing this out

Fri Jun 11 12:01:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
          Removed the caching of the ports since the context already caches these. Also improved
          error handling.

        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Removed blank line.

Fri Jun 11 12:01:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
          Fixed memory leaks

        * tests/Bug_3834_Regression/descriptors/run_test_without_ns.pl:
          A sleep of 999 seconds is really not something we want to do in
          a test which we run as part or our test suite

Fri Jun 11 11:44:32 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener_T.h:
          Various layout and cleanup changes

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Added -SS as idl option

Fri Jun 11 11:34:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Receiver/InterMulti_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
          Small improvements to this test code

Fri Jun 11 11:11:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.cpp:
          Removed the caching of the ports since the context already caches these.

Fri Jun 11 10:50:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.cpp:
          Added some missing header files.

Fri Jun 11 10:48:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Base/AsynchT.mpc:
        * connectors/ami4ccm/tests/DelReplyH/Base/DelReplyH.mpc:
        * connectors/ami4ccm/tests/Exceptions/Base/ExceptionT.mpc:
        * connectors/ami4ccm/tests/IDL_Test/AMI4CCM_IDLTest.mpc:
        * connectors/ami4ccm/tests/InterInArgs/Base/InterInArgsT.mpc:
        * connectors/ami4ccm/tests/InterMulti/Base/InterMulti.mpc:
        * connectors/ami4ccm/tests/InterOutArgs/Base/InterOutArgsT.mpc:
        * connectors/ami4ccm/tests/InterReturn/Base/InterReturnT.mpc:
        * connectors/ami4ccm/tests/NoReplyH/Base/NoReplyH.mpc:
        * connectors/ami4ccm/tests/OneProcess/Base/OneProcess.mpc:
        * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.mpc:
        * connectors/ami4ccm/tests/UsesMulti/Base/UsesMulti.mpc:
          Added anytypecode as base project when compiling the A.idl file

Fri Jun 11 09:57:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.cpp:
          Resolved some memory issues. Also removed the caching of the ports since the context
          already caches these.

        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Sender/CFTLS_Test_Sender_exec.cpp:
          Resolved some memory issues.

Fri Jun 11 08:30:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpb:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
          Renamed parent.

Fri Jun 11 07:43:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/NonChangeableAttribute/Component:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.h:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.cpp:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/Plan.cdp:
          Rewritten test. Don't use a derived class to test whether connector attributes are
          changeable or not but use _get_component instead.

        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector_exec.h:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector_exec.cpp:
          Removed these files.

Fri Jun 11 05:59:33 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpb:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
          Resolved compile errors due to the -d options
          for the RTI dds gen.

Thu Jun 10 18:37:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
          Layout changes

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
          Fixed MPC file when no ndds is available

Thu Jun 10 15:20:31 UTC 2010  Marijke Hengstmengelt  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.cpp
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp
        Solve compile warnings.

Thu Jun 10 15:10:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/tests/CIAO/CommandlinePassage/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnMultiple/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnOne/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test_msm.pl:
        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/AsynchT/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/DelReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/Exceptions/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterInArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterMulti/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterOutArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterReturn/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/NoReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/UsesMulti/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentUpdater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Getter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PortUsage/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Reader/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/State_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl:
        * tests/Bug_3769_Regression/descriptors/run_test.pl:
        * tests/IDL_Test/Double_Inherited_Component/run_test.pl:
          Removed -m 1 option from the naming service command line.

        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:
          Removed unused ORB_Core.h header file.

Thu Jun 10 13:33:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Receiver/CFTLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.h:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver_exec.h:
          Removed unnecessary header file ace/Reactor.h

Thu Jun 10 12:12:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.h:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver_exec.h:
          Removed unnecessary header file ace/Task.h

Thu Jun 10 12:06:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Read_T.h:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.h:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
        * connectors/dds4ccm/impl/dds/Reader_T.h:
        * connectors/dds4ccm/impl/dds/Reader_T.cpp:
        * connectors/dds4ccm/impl/dds/Updater_T.h:
        * connectors/dds4ccm/impl/dds/Updater_T.cpp:
        * connectors/dds4ccm/impl/dds/Writer_T.h:
        * connectors/dds4ccm/impl/dds/Writer_T.cpp:
          Make sure the _get_component returns the connector so that the
          end user can retrieve the component from the facet

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Improved this test, needs some more work to use DDS_Event

Thu Jun 10 11:34:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Component/Exception_Test_Component_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Receiver/CFTLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Sender/CFTLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/OIT_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QosProfile/Component/QosProfile_Test_Component_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.h:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.h:
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender_exec.h:
          Removed unnecessary <map> includes.

Thu Jun 10 09:57:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated.

Thu Jun 10 09:34:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/Getter_T.h:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
          Added empty _get_component

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Fixed a crash in this test

Thu Jun 10 09:27:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Quoter/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub2.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLQoS/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLSampleRejected/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Deployments/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/DDSWriterEntity/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Event_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenNotEnabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLSampleLost/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLDisabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test_default_qos.pl:
        * connectors/dds4ccm/tests/UnkeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Updater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UserdataCopyCount/descriptors/run_test.pl:
          No multi cast on the naming service necessary. Removed -m 1 option.

Thu Jun 10 08:29:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir_Connector.mpc:
          Code alignment.

        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Connector/Exception_Test_Connector.idl:
          Fuzz.

Thu Jun 10 08:16:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * docs/tutorials/Quoter/Simple/Broker/StockBrokerDriver.cpp:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.cpp:
          Cleanup

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/descriptors/run_test.pl:
          Fixed problem in this file

Thu Jun 10 07:46:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
          For now, use the -d option for the RTI dds gen.

Thu Jun 10 07:44:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
          Also generate RTI dds gen files in subdirectory.

Thu Jun 10 07:25:33 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir_Connector.mpc:
          Prevent making all files again when a make is performed a second time.

Thu Jun 10 07:10:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Resolved test issues.

Wed Jun  9 21:57:22 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.h:

          Changes to the asynch version of the worker thread class so it
          will work with multiplex receptacles.

        * connectors/ami4ccm/tests/UsesMulti/Base/UsesMulti.mpc:

          Restored typecode generation on *A.idl, the AMI4CCM_*
          interface can a member of a struct in a component (if
          it has an asynch uses port) and this component and its
          contents must have typecodes.

Wed Jun  9 18:51:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/dds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/dds/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/dds/DataWriter.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/dds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/dds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Getter_T.cpp:
        * connectors/dds4ccm/impl/dds/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/dds/Log_Macros.h:
        * connectors/dds4ccm/impl/dds/Log_Macros.cpp:
        * connectors/dds4ccm/impl/dds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Publisher.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/dds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/dds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/dds/Reader_T.cpp:
        * connectors/dds4ccm/impl/dds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/dds/Subscriber.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/dds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Topic.cpp:
        * connectors/dds4ccm/impl/dds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener.cpp:
        * connectors/dds4ccm/impl/dds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/dds/Updater_T.cpp:
        * connectors/dds4ccm/impl/dds/Writer_T.cpp:
          Moved Log_Macros to the dds4ccm library and updated all includes

        * MPC/config/dds4ccm_logger.mpb:
        * connectors/dds4ccm/impl/logger:
        * connectors/dds4ccm/impl/logger/Log_Macros.h:
        * connectors/dds4ccm/impl/logger/Log_Macros.cpp:
        * connectors/dds4ccm/impl/logger/Logger.mpc:
          Removed these files, no need for a separate dds4ccm logging library

Wed Jun  9 18:32:45 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl:

          Fixed slight mistake in previous commit.

Wed Jun  9 18:30:00 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl:

          Use dance_locality_manager instead of NodeApplication.

Wed Jun  9 14:01:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added ContentFilteredTopic deployment and Exception tests.

Wed Jun  9 13:58:53 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
          Check on whether the contentfiltered topic is nil or whether
          the expression has been set before setting the filter parameters.

        * connectors/dds4ccm/tests/ContentFilteredTopic/Deployments/*:
          Added test the check whether several deployment configuration
          errors are handled properly.

        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/*:
          Test to explicitly test errors on set_filter_parameters.

Wed Jun  9 13:49:56 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp
        Cleanup code. Remove printf's.

Wed Jun  9 11:58:56 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst
        * connectors/ami4ccm/tests/AsynchT
        * connectors/ami4ccm/tests/AsynchT/Base
        * connectors/ami4ccm/tests/AsynchT/Base/AsynchT.idl
        * connectors/ami4ccm/tests/AsynchT/Base/AsynchT.mpc
        * connectors/ami4ccm/tests/AsynchT/descriptors
        * connectors/ami4ccm/tests/AsynchT/descriptors/Plan.cdp
        * connectors/ami4ccm/tests/AsynchT/descriptors/run_test.pl
        * connectors/ami4ccm/tests/AsynchT/Receiver
        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver.idl
        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver.mpc
        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.cpp
        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.h
        * connectors/ami4ccm/tests/AsynchT/Sender
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender.idl
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender.mpc
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h
        AMI4CCM asynchronous test.

Wed Jun  9 10:13:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
          Realigned code.
          Only delete contentfilteredtopics which are created.
          Using this to determine the name of a contentfiltered topic.

        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.cpp:
          Test passes when deployment succeeds.

        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Connector/CFT_Test_Connector.idl:
          Extended IDL with a DDS_Read port.

        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/descriptors/Plan.cdp:
          Setting two filters to test whether the names of the ContentFilteredTopics are
          unique.

Wed Jun  9 08:57:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo_exec.cpp:
        * tests/Bug_3769_Regression/descriptors/DeploymentPlan.cdp:
          Added string tests

Wed Jun  9 08:04:49 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added the ContentFilteredTopic test 'ReadGet' to
          the test framework.

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
          Added delete_contentfilteredtopic method. Improved logging.

        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
          Calling delete_contentfilteredtopic on remove.
          Improved logging.

        * connectors/dds4ccm/impl/dds/DomainParticipant.cpp:
          Deleted unnecessary code regarding the deletion of
          ContentFilteredTopic. This is done by the
          delete_contentfilteredtopic method.

        * connectors/dds4ccm/impl/dds/Subscriber.cpp:
          Improved logging.

Wed Jun  9 07:00:31 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Simple/04.html:
          No need to pass in the component server

        * tests/Bug_3769_Regression/Foo.idl:
          Removed comment for Jeff

        * tests/Bug_3769_Regression/Foo_exec.cpp:
        * tests/Bug_3769_Regression/descriptors/DeploymentPlan.cdp:
          Added test for string sequences

Tue Jun  8 22:03:27 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * DAnCE/tests/CIAO/CommandlinePassage/run_test.pl:
        * DAnCE/tests/CIAO/EM-Launch-Failures/run_test.pl:
        * DAnCE/tests/CIAO/EM-Redeployment/run_test.pl:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test_cdr.pl:
        * DAnCE/tests/CIAO/NodeManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/NodeManager-Deployments/run_test_cdr.pl:
        * DAnCE/tests/CIAO/Progressive_Deployments/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnMultiple/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnOne/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test_msm.pl:
        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/DelReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/Exceptions/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterInArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterMulti/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterOutArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterReturn/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/NoReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/UsesMulti/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Large_Deployment/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Quoter/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub2.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLQoS/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLSampleRejected/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentUpdater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/DDSWriterEntity/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Event_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Getter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenNotEnabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLSampleLost/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PortUsage/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Reader/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLDisabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test_default_qos.pl:
        * connectors/dds4ccm/tests/State_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Updater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UserdataCopyCount/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl:
        * examples/BasicSP/descriptors/run_test.pl:
        * examples/Display/descriptors/run_test_without_ns.pl:
        * examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_DifferentProcesses.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_SameProcess.pl:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:
        * examples/Null_Component/descriptors/run_test.pl:
        * examples/Null_Component/descriptors/run_test_without_ns.pl:
        * examples/Null_Component_Glfa/descriptors/run_test.pl:
        * tests/Bug_2130_Regression/descriptors/run_test.pl:
        * tests/Bug_3769_Regression/descriptors/run_test.pl:
        * tests/Bug_3834_Regression/descriptors/run_test.pl:
        * tests/Bug_3834_Regression/descriptors/run_test_without_ns.pl:
        * tests/CIAO_ComponentServer/Activator/run_test.pl:
        * tests/CIAO_ComponentServer/Local_Facet/run_test.pl:
        * tests/CIAO_ComponentServer/SimpleComponent/run_test.pl:
        * tests/CIF/Navigation/run_test.pl:
        * tests/CIF/Receptacle/run_test.pl:
        * tests/IDL_Test/Double_Inherited_Component/run_test.pl:

          A refinement of yesterday's commit to all of the Perl scripts:
          now using the TestTarget-specific GetArchDir.

Tue Jun  8 17:22:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added StateListener and EventListener tests for
          ContentFilteredTopic tests to the framework.

        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/descriptors/Plan.cdp:
          Configured filters the correct way. Still some issues to resolve
          in the core.

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Minor code changes.

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/descriptors/Plan.cdp:
          Configured filters the correct way.

Tue Jun  8 15:15:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/descriptors/Plan.cdp:
          Renamed connector artifacts.

Tue Jun  8 15:12:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/descriptors/Plan.cdp:
          Renamed connector artifacts.

Tue Jun  8 15:09:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Starter.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender.mpc:
          Resolved mpc issues

Tue Jun  8 14:36:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Starter.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Connector/ReadGet_Test_Connector.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender.mpc:
          Resolved mpc issues

Tue Jun  8 13:58:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo.idl:
        * tests/Bug_3769_Regression/Foo_exec.h:
        * tests/Bug_3769_Regression/Foo_exec.cpp:
          Added array attributes example, just to validate compilation, no
          runtime testing performed at all, probably config handlers need an
          update

Tue Jun  8 13:56:10 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst
        * connectors/ami4ccm/tests/OneReplyH
        * connectors/ami4ccm/tests/OneReplyH/Base
        * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.idl
        * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.mpc
        * connectors/ami4ccm/tests/OneReplyH/descriptors
        * connectors/ami4ccm/tests/OneReplyH/descriptors/Plan.cdp
        * connectors/ami4ccm/tests/OneReplyH/descriptors/run_test.pl
        * connectors/ami4ccm/tests/OneReplyH/Receiver
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver.idl
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver.mpc
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.cpp
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.h
        * connectors/ami4ccm/tests/OneReplyH/Sender
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender.idl
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender.mpc
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.h
        AMI4CCM test with one replyhandler for more than one request.

Tue Jun  8 13:44:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/dds/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/dds/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/dds/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/dds/dds4ccm_impl.mpc:
          Implemented DDS4LwCCM Beta 3 spec regarding contentfilteredTopics.
          This could not be fully tested since passing structs from the deployment
          plans to the connector didn't work yet. So all accompanying tests will
          fail for now.

        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/*:
          Added contentfilteredTopics for listeners on the Event connector.

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/*:
          Added test for the reader and getter extended ports,
          having a different query.

        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/*:
          Added contentfilteredTopics for listeners on the State connector.

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Starter.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender.mpc:
          Renamed projects in order to prevent duplicate project names.

Tue Jun  8 13:20:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo_exec.cpp:
          Fixed checks for baz

        * tests/Bug_3769_Regression/descriptors/DeploymentPlan.cdp:
          Fixed baz

Tue Jun  8 13:16:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo_exec.cpp:
          Fixed unresolved external and wrong check for structs

Tue Jun  8 12:54:41 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo.idl:
          Added much more test cases

        * tests/Bug_3769_Regression/Foo_exec.h:
        * tests/Bug_3769_Regression/Foo_exec.cpp:
          Added empty accessors, cdp has to be extended and than the code
          has to check the set values

Tue Jun  8 10:12:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/DAnCE_ArtifactInstallation.idl:
        * DAnCE/DAnCE_Core.mpc:
        * tools/Artifact_Installation/DAnCE_Artifact_Installation.idl:
        * tools/Artifact_Installation/Artifact_Installation_Impl.h:
        * tools/Artifact_Installation/Artifact_Installation.mpc:
        * MPC/config/dance_artifact_installation.mpb:
          Changes to integrate Artifact Installation framework with the
          rest of DAnCE.

Tue Jun  8 09:32:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/docs/ptc_09-10-26 DDS4CCM v1-0 WCB.pdf:
          Removed this file, old draft document

Tue Jun  8 09:30:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/docs/DDSforCCM-meta.uml:
        * connectors/dds4ccm/docs/ccm_dds.idl:
        * connectors/dds4ccm/docs/ccm_dds_dlrl.idl:
          Updated to beta 3

Tue Jun  8 09:20:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ami4ccm_lem_stub.mpb:
          Because we need access to the container POA we need to link with
          a CIAO implementation library

Tue Jun  8 09:19:10 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst:
          Remove fixed_bugs flag from test OneProcess.

Tue Jun  8 09:13:10 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/OneProcess/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/OneProcess/descriptors/PlanOne.cdp:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test_one.pl:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
          Change testresult, all in one process should work synchronous.

Tue Jun  8 07:51:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.inl:
        * DAnCE/tools/Artifact_Installation/File_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Http_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.h:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.inl:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_Impl.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Handler_Svc.cpp:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Handler_Svc.h:
        * DAnCE/tools/Artifact_Installation/File_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/Http_Installation_Handler.cpp:
          Fuzz fizes and namespace semicolons removed.

Tue Jun  8 07:21:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO.mwc:
          Added new ace INet library

Tue Jun  8 06:33:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Contexts/Context_Impl_Base.h:
        * ciao/Contexts/Context_Impl_Base.cpp:
        * ciao/Contexts/Context_Impl_T.h:
        * ciao/Servants/Servant_Impl_T.cpp:
        * connectors/dds4ccm/impl/dds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/dds/DataReader.h:
        * connectors/dds4ccm/impl/dds/DataWriter.h:
          Various layout changes

Mon Jun  7 22:36:24 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * DAnCE/tests/CIAO/CommandlinePassage/run_test.pl:
        * DAnCE/tests/CIAO/EM-Launch-Failures/run_test.pl:
        * DAnCE/tests/CIAO/EM-Redeployment/run_test.pl:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test_cdr.pl:
        * DAnCE/tests/CIAO/NodeManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/NodeManager-Deployments/run_test_cdr.pl:
        * DAnCE/tests/CIAO/Progressive_Deployments/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnMultiple/run_test.pl:
        * DAnCE/tests/LocalityManager/SpawnOne/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test.pl:
        * DAnCE/tests/Parsing/PlanLauncher/descriptors/run_test_msm.pl:
        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/DelReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/Exceptions/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterInArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterMulti/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterOutArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterReturn/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/NoReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneProcess/descriptors/run_test_one.pl:
        * connectors/ami4ccm/tests/UsesMulti/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Large_Deployment/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Quoter/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub2.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLQoS/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLSampleRejected/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentUpdater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CoherentWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/DDSWriterEntity/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Event_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Getter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenNotEnabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLSampleLost/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PortUsage/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Reader/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLDisabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test_default_qos.pl:
        * connectors/dds4ccm/tests/State_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Updater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UserdataCopyCount/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl:
        * examples/BasicSP/descriptors/run_test.pl:
        * examples/Display/descriptors/run_test_without_ns.pl:
        * examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_DifferentProcesses.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_SameProcess.pl:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:
        * examples/Null_Component/descriptors/run_test.pl:
        * examples/Null_Component/descriptors/run_test_without_ns.pl:
        * examples/Null_Component_Glfa/descriptors/run_test.pl:
        * tests/Bug_2130_Regression/descriptors/run_test.pl:
        * tests/Bug_3769_Regression/descriptors/run_test.pl:
        * tests/Bug_3834_Regression/descriptors/run_test.pl:
        * tests/Bug_3834_Regression/descriptors/run_test_without_ns.pl:
        * tests/CIAO_ComponentServer/Activator/run_test.pl:
        * tests/CIAO_ComponentServer/Local_Facet/run_test.pl:
        * tests/CIAO_ComponentServer/SimpleComponent/run_test.pl:
        * tests/CIF/Navigation/run_test.pl:
        * tests/CIF/Receptacle/run_test.pl:
        * tests/IDL_Test/Double_Inherited_Component/run_test.pl:

          Use PerlACE::GetArchDir() to get the path to ciao_componentserver or
          dance_locality_manager.

Mon Jun  7 12:23:10 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * DAnCE/tools/Artifact_Installation:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_exec.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Handler_export.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Handler_Svc.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Handler_Svc.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.h:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation_Impl.inl:
        * DAnCE/tools/Artifact_Installation/Artifact_Installation.mpc:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_export.h:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.idl:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.inl:
        * DAnCE/tools/Artifact_Installation/DAnCE_Artifact_Installation.idl:
        * DAnCE/tools/Artifact_Installation/File_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/File_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Http_Installation_Handler.cpp:
        * DAnCE/tools/Artifact_Installation/Http_Installation_Handler.h:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.cpp:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_export.h:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager.h:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_Impl.cpp:
        * DAnCE/tools/Artifact_Installation/Installation_Repository_Manager_Impl.h:
          New DAnCE Artifact Installation framework.
          This implements a pluggable architecture for handling artifact installations in
          CCM deployment plans.
          Includes file:// and http:// installation handlers and a basic installation
          repository (cache) manager for node installations.

        * DAnCE/MPC/config/dance_artifact_installation.mpb:
        * DAnCE/MPC/config/dance_installation_repository_manager.mpb:
          New MPC base projects for using the artifact installation framework.

        * CIAO_TAO_DAnCE.mwc:
          Added INet library which is needed by http:// installation handler.

Mon Jun  7 09:28:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO-INSTALL.html:
          Corrected some hyperlinks

Sun Jun  6 17:44:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/BasicSP/BMDevice/BMDevice_exec.h:
        * examples/BasicSP/BMDevice/BMDevice_exec.cpp:
        * examples/BasicSP/EC/EC_exec.cpp:
          Fixed compile errors

Sat Jun  5 19:26:24 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/MPC/config/dance_config_handlers_base.mpb:

          Fix for a linking error.

Sat Jun  5 17:52:16 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds/Reader_T.cpp:
          Fixed fuzz

Sat Jun  5 17:25:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleEmitter.idl:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimplePublisher.idl:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec.cpp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/EmitsConnectionExplicitHome.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/PublishConnectionExplicitHome.cdp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/EmitsConnectionExplicitHome.cdp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/PublishConnectionExplicitHome.cdp:
        * examples/BasicSP/BMDevice/BMDevice.idl:
        * examples/BasicSP/EC/EC.idl:
        * examples/BasicSP/descriptors/BasicSP_Homed.cdp:
        * examples/BasicSP/descriptors/BasicSP_Unhomed.cdp:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.idl:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_exec.h:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_exec.cpp:
        * tests/IDL_Test/Cornucopia:
          Resolve problems with identifiers only difference in casing

Sat Jun  5 14:03:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleEmitter.idl:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimplePublisher.idl:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec.cpp:
          Fixed identifiers which only where different in casing

Fri Jun  4 15:36:57 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/ami4ccm/ami4ccm.idl:

          Fixed illegal IDL - case difference between AMI4CCM connector
          port type and port identifier.

Fri Jun  4 14:52:06 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/Bug_3769_Regression/Foo.idl:
        * tests/Bug_3769_Regression/Foo_exec.h:
        * tests/Bug_3769_Regression/Foo_exec.cpp:
        * tests/Bug_3769_Regression/descriptors/DeploymentPlan.cdp:

          Extended this test with more complex structure types.

Fri Jun  4 14:05:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/impl/dds/Reader_T.h:
        * connectors/dds4ccm/impl/dds/Reader_T.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Component/CFT_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.cpp:
          Renamed filter into query.

Fri Jun  4 13:02:28 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp:

          Improved logging.

        * DAnCE/docs/schema/Basic_Deployment_Data.xsd:

          Layout change.

        * examples/Hello/Sender/Sender.idl:
        * examples/Hello/Sender/Sender_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/descriptors/DeploymentPlan.cdp:
        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:
        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
        * examples/Hello/descriptors/PlanLocality_SameProcess.cdp:

          Added sequence and struct attributes.

Fri Jun  4 12:30:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QCLE_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QCLE_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Starter.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Starter.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QCLS_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QCLS_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QFLE_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QFLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QFLE_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QFLE_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QFLE_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QFLE_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QFLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QFLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QFLE_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QFLE_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QFLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QFLE_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/QueryFilter_Starter.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/QueryFilter_Starter.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/QueryFilter_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/QueryFilter_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/QueryFilter_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/QueryFilter_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/QueryFilter_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/QueryFilter_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/QueryFilter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/QueryFilter_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/QueryFilter_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/QueryFilter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/QueryFilter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QFLS_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QFLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QFLS_Test_Connector.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QFLS_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QFLS_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QFLS_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QFLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QFLS_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QFLS_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QFLS_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QFLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QFLS_Test_Sender_exec.cpp:
          Renamed files in order to reflect the meaning of them better.

Fri Jun  4 12:10:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/QueryFilter_Test_Receiver_exec.h:
